# Install Triumph

## Developer Account

If you haven't already done so, create a Triumph developer account [here](https://dashboard.triumpharcade.com/games/allGames/stats) before continuing.&#x20;

## Install

Triumph currently supports games written in Swift and Unity (targeted for iOS distribution).&#x20;

{% tabs %}
{% tab title="Unity" %}
Download our latest Unity Package [here](https://github.com/triumpharcade/triumph-sdk-ios/raw/master/TriumphSDK-latest.unitypackage). Once downloaded, you can import it in one of two ways:

1. Double click on the `.unitypackage` file.
2. Navigate to `Assets > Import Package > Custom Package` and select the downloaded `.unitypackage` file.&#x20;

Import all of the files in the package when prompted to.

Before building your Xcode project, install [brew](https://brew.sh).
{% endtab %}

{% tab title="Swift" %}
{% hint style="info" %}
Your game must target Swift 5.7 or greater.
{% endhint %}

TriumphSDK is distributed through Cocoapods. If this is your first time using Cocoapods, you can find installation guides [here](https://cocoapods.org/). Install cocopods in your project before proceeding.

1. First, install our Cocoapods plugin by running the following from any directory in terminal.&#x20;

   <pre class="language-ruby"><code class="lang-ruby"><strong>sudo gem install cocoapods-triumph-sdk-plugin
   </strong></code></pre>
2. Next add the TriumphSDK pod to your podfile. Make sure this is embedded under `use_frameworks!`

   ```ruby
   target 'YourGame' do

     use_frameworks!
       pod 'TriumphSDK'
   end
   ```
3. Add the following at the bottom of your podfile. Be sure to do this after the **end** statement at the bottom of your podfile.

   ```ruby
   plugin 'cocoapods-triumph-sdk-plugin'
   post_install do |installer|
     installer.pods_project.targets.each do |target|
       target.build_configurations.each do |config|
         # Feel free to change it from 14.0 to whatever minimum version do you use for your application
         # This will remove all of the CocoaPods dependencies warnings regarding minimum iOS version
         if config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'].to_f < 14.0
           config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = '14.0'
         end
         
         # Unfortunately, when using .xcframeworks like our application, CocoaPods does not set this flag by default
         # Thus, this leads to a linkage error, and this setting is required
         config.build_settings['BUILD_LIBRARY_FOR_DISTRIBUTION'] = 'YES'
         
         # We're using some dependencies that contain bundles which by default are set to be resigned
         # This is required to make your build successful
         if target.respond_to?(:product_type) and target.product_type == "com.apple.product-type.bundle"
           config.build_settings['CODE_SIGNING_ALLOWED'] = 'NO'
         end
       end
     end
   end
   ```
4. Run `pod install` at the root of your project to install Triumph.&#x20;
   {% endtab %}
   {% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.triumpharcade.com/triumph-sdk/install-triumph.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
